DbEnv::get_mp_mtxcount()
Prev | Chapter 9. The DbMpoolFile Handle | Next

## DbEnv::get_mp_mtxcount()

    #include <db_cxx.h>

    int
    DbEnv::get_mp_mtxcount(u_int32_t mtxcount);

The `DbEnv::get_mp_mtxcount()` method returns the number of mutexes allocated for the hash table in the buffer pool.

### Parameters

#### mtxcount

This parameter specifies the number of mutexes allocated for the hash table in the buffer pool.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods, DbEnv::set_mp_mtxcount()

Prev | Up | Next
DbEnv::get_mp_mmapsize() | Home | DbEnv::get_mp_pagesize()